ProfileCompilerTask (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.gradle.plugin.profiles.tasks

## [Groovy] Class ProfileCompilerTask

- org.grails.gradle.plugin.profiles.tasks.ProfileCompilerTask

- Compiles the classes for a profile

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_COMPATIBILITY` |
    `static java.lang.String` | `PROFILE_COMMANDS` |
    `static java.lang.String` | `PROFILE_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.gradle.api.tasks.compile.AbstractCompile` | `TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION`
    `class org.gradle.api.tasks.SourceTask` | `TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.File` | `config`
    `java.io.File` | `profileFile`
    `java.io.File` | `templatesDir`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProfileCompilerTask ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `compile()`
    `` | `void` | `execute(org.gradle.api.tasks.incremental.IncrementalTaskInputs inputs)`
    `` | `org.gradle.api.file.FileTree` | `getSource()`
    `` | `void` | `setDestinationDir(java.io.File destinationDir)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.api.tasks.compile.AbstractCompile` | `org.gradle.api.tasks.compile.AbstractCompile#getSourceCompatibility(), org.gradle.api.tasks.compile.AbstractCompile#setSourceCompatibility(java.lang.String), org.gradle.api.tasks.compile.AbstractCompile#getClasspath(), org.gradle.api.tasks.compile.AbstractCompile#getTargetCompatibility(), org.gradle.api.tasks.compile.AbstractCompile#setTargetCompatibility(java.lang.String), org.gradle.api.tasks.compile.AbstractCompile#setClasspath(org.gradle.api.file.FileCollection), org.gradle.api.tasks.compile.AbstractCompile#getDestinationDir(), org.gradle.api.tasks.compile.AbstractCompile#setDestinationDir(java.io.File), org.gradle.api.tasks.compile.AbstractCompile#setSource(java.lang.Object), org.gradle.api.tasks.compile.AbstractCompile#include(groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#include(org.gradle.api.specs.Spec), org.gradle.api.tasks.compile.AbstractCompile#include(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#include(org.gradle.api.specs.Spec), org.gradle.api.tasks.compile.AbstractCompile#include([Ljava.lang.String;), org.gradle.api.tasks.compile.AbstractCompile#include(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#include([Ljava.lang.String;), org.gradle.api.tasks.compile.AbstractCompile#include(groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#getSource(), org.gradle.api.tasks.compile.AbstractCompile#source([Ljava.lang.Object;), org.gradle.api.tasks.compile.AbstractCompile#exclude(groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#exclude(org.gradle.api.specs.Spec), org.gradle.api.tasks.compile.AbstractCompile#exclude([Ljava.lang.String;), org.gradle.api.tasks.compile.AbstractCompile#exclude(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#exclude([Ljava.lang.String;), org.gradle.api.tasks.compile.AbstractCompile#exclude(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#exclude(org.gradle.api.specs.Spec), org.gradle.api.tasks.compile.AbstractCompile#exclude(groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#setIncludes(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#setIncludes(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#getIncludes(), org.gradle.api.tasks.compile.AbstractCompile#setExcludes(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#setExcludes(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#getExcludes(), org.gradle.api.tasks.compile.AbstractCompile#getConventionMapping(), org.gradle.api.tasks.compile.AbstractCompile#conventionMapping(java.lang.String, java.util.concurrent.Callable), org.gradle.api.tasks.compile.AbstractCompile#conventionMapping(java.lang.String, groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#execute(), org.gradle.api.tasks.compile.AbstractCompile#setGroup(java.lang.String), org.gradle.api.tasks.compile.AbstractCompile#getGroup(), org.gradle.api.tasks.compile.AbstractCompile#setEnabled(boolean), org.gradle.api.tasks.compile.AbstractCompile#isEnabled(), org.gradle.api.tasks.compile.AbstractCompile#configure(groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#configure(groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#setProperty(java.lang.String, java.lang.Object), org.gradle.api.tasks.compile.AbstractCompile#toString(), org.gradle.api.tasks.compile.AbstractCompile#compareTo(org.gradle.api.Task), org.gradle.api.tasks.compile.AbstractCompile#compareTo(java.lang.Object), org.gradle.api.tasks.compile.AbstractCompile#getName(), org.gradle.api.tasks.compile.AbstractCompile#getActions(), org.gradle.api.tasks.compile.AbstractCompile#getState(), org.gradle.api.tasks.compile.AbstractCompile#getState(), org.gradle.api.tasks.compile.AbstractCompile#getLogger(), org.gradle.api.tasks.compile.AbstractCompile#getPath(), org.gradle.api.tasks.compile.AbstractCompile#getExtensions(), org.gradle.api.tasks.compile.AbstractCompile#hasProperty(java.lang.String), org.gradle.api.tasks.compile.AbstractCompile#getDescription(), org.gradle.api.tasks.compile.AbstractCompile#property(java.lang.String), org.gradle.api.tasks.compile.AbstractCompile#leftShift(groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#dependsOn([Ljava.lang.Object;), org.gradle.api.tasks.compile.AbstractCompile#setDependsOn(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#getDependsOn(), org.gradle.api.tasks.compile.AbstractCompile#setDescription(java.lang.String), org.gradle.api.tasks.compile.AbstractCompile#getProject(), org.gradle.api.tasks.compile.AbstractCompile#getAnt(), org.gradle.api.tasks.compile.AbstractCompile#getConvention(), org.gradle.api.tasks.compile.AbstractCompile#getLogging(), org.gradle.api.tasks.compile.AbstractCompile#getLogging(), org.gradle.api.tasks.compile.AbstractCompile#setActions(java.util.List), org.gradle.api.tasks.compile.AbstractCompile#getTaskDependencies(), org.gradle.api.tasks.compile.AbstractCompile#getTaskDependencies(), org.gradle.api.tasks.compile.AbstractCompile#onlyIf(groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#onlyIf(org.gradle.api.specs.Spec), org.gradle.api.tasks.compile.AbstractCompile#setOnlyIf(groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#setOnlyIf(org.gradle.api.specs.Spec), org.gradle.api.tasks.compile.AbstractCompile#setDidWork(boolean), org.gradle.api.tasks.compile.AbstractCompile#getDidWork(), org.gradle.api.tasks.compile.AbstractCompile#doFirst(org.gradle.api.Action), org.gradle.api.tasks.compile.AbstractCompile#doFirst(groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#doLast(org.gradle.api.Action), org.gradle.api.tasks.compile.AbstractCompile#doLast(groovy.lang.Closure), org.gradle.api.tasks.compile.AbstractCompile#deleteAllActions(), org.gradle.api.tasks.compile.AbstractCompile#getEnabled(), org.gradle.api.tasks.compile.AbstractCompile#dependsOnTaskDidWork(), org.gradle.api.tasks.compile.AbstractCompile#getInputs(), org.gradle.api.tasks.compile.AbstractCompile#getInputs(), org.gradle.api.tasks.compile.AbstractCompile#getOutputs(), org.gradle.api.tasks.compile.AbstractCompile#getOutputs(), org.gradle.api.tasks.compile.AbstractCompile#getTemporaryDir(), org.gradle.api.tasks.compile.AbstractCompile#mustRunAfter([Ljava.lang.Object;), org.gradle.api.tasks.compile.AbstractCompile#setMustRunAfter(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#getMustRunAfter(), org.gradle.api.tasks.compile.AbstractCompile#finalizedBy([Ljava.lang.Object;), org.gradle.api.tasks.compile.AbstractCompile#setFinalizedBy(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#getFinalizedBy(), org.gradle.api.tasks.compile.AbstractCompile#shouldRunAfter([Ljava.lang.Object;), org.gradle.api.tasks.compile.AbstractCompile#setShouldRunAfter(java.lang.Iterable), org.gradle.api.tasks.compile.AbstractCompile#getShouldRunAfter(), org.gradle.api.tasks.compile.AbstractCompile#injectIntoNewInstance(org.gradle.api.internal.project.ProjectInternal, java.lang.String, java.lang.Class, java.util.concurrent.Callable), org.gradle.api.tasks.compile.AbstractCompile#getTaskActions(), org.gradle.api.tasks.compile.AbstractCompile#getActionClassLoaders(), org.gradle.api.tasks.compile.AbstractCompile#getOnlyIf(), org.gradle.api.tasks.compile.AbstractCompile#getImpliesSubProjects(), org.gradle.api.tasks.compile.AbstractCompile#setImpliesSubProjects(boolean), org.gradle.api.tasks.compile.AbstractCompile#getExecuter(), org.gradle.api.tasks.compile.AbstractCompile#setExecuter(org.gradle.api.internal.tasks.TaskExecuter), org.gradle.api.tasks.compile.AbstractCompile#getStandardOutputCapture(), org.gradle.api.tasks.compile.AbstractCompile#getAsDynamicObject(), org.gradle.api.tasks.compile.AbstractCompile#getTemporaryDirFactory(), org.gradle.api.tasks.compile.AbstractCompile#addValidator(org.gradle.api.internal.tasks.execution.TaskValidator), org.gradle.api.tasks.compile.AbstractCompile#getValidators(), org.gradle.api.tasks.compile.AbstractCompile#prependParallelSafeAction(org.gradle.api.Action), org.gradle.api.tasks.compile.AbstractCompile#appendParallelSafeAction(org.gradle.api.Action), org.gradle.api.tasks.compile.AbstractCompile#isHasCustomActions(), org.gradle.api.tasks.compile.AbstractCompile#wait(long, int), org.gradle.api.tasks.compile.AbstractCompile#wait(long), org.gradle.api.tasks.compile.AbstractCompile#wait(), org.gradle.api.tasks.compile.AbstractCompile#equals(java.lang.Object), org.gradle.api.tasks.compile.AbstractCompile#hashCode(), org.gradle.api.tasks.compile.AbstractCompile#getClass(), org.gradle.api.tasks.compile.AbstractCompile#notify(), org.gradle.api.tasks.compile.AbstractCompile#notifyAll()`
    `class org.gradle.api.tasks.SourceTask` | `org.gradle.api.tasks.SourceTask#setSource(java.lang.Object), org.gradle.api.tasks.SourceTask#include(groovy.lang.Closure), org.gradle.api.tasks.SourceTask#include(org.gradle.api.specs.Spec), org.gradle.api.tasks.SourceTask#include(java.lang.Iterable), org.gradle.api.tasks.SourceTask#include(org.gradle.api.specs.Spec), org.gradle.api.tasks.SourceTask#include([Ljava.lang.String;), org.gradle.api.tasks.SourceTask#include(java.lang.Iterable), org.gradle.api.tasks.SourceTask#include([Ljava.lang.String;), org.gradle.api.tasks.SourceTask#include(groovy.lang.Closure), org.gradle.api.tasks.SourceTask#getSource(), org.gradle.api.tasks.SourceTask#source([Ljava.lang.Object;), org.gradle.api.tasks.SourceTask#exclude(groovy.lang.Closure), org.gradle.api.tasks.SourceTask#exclude(org.gradle.api.specs.Spec), org.gradle.api.tasks.SourceTask#exclude([Ljava.lang.String;), org.gradle.api.tasks.SourceTask#exclude(java.lang.Iterable), org.gradle.api.tasks.SourceTask#exclude([Ljava.lang.String;), org.gradle.api.tasks.SourceTask#exclude(java.lang.Iterable), org.gradle.api.tasks.SourceTask#exclude(org.gradle.api.specs.Spec), org.gradle.api.tasks.SourceTask#exclude(groovy.lang.Closure), org.gradle.api.tasks.SourceTask#setIncludes(java.lang.Iterable), org.gradle.api.tasks.SourceTask#setIncludes(java.lang.Iterable), org.gradle.api.tasks.SourceTask#getIncludes(), org.gradle.api.tasks.SourceTask#setExcludes(java.lang.Iterable), org.gradle.api.tasks.SourceTask#setExcludes(java.lang.Iterable), org.gradle.api.tasks.SourceTask#getExcludes(), org.gradle.api.tasks.SourceTask#getConventionMapping(), org.gradle.api.tasks.SourceTask#conventionMapping(java.lang.String, java.util.concurrent.Callable), org.gradle.api.tasks.SourceTask#conventionMapping(java.lang.String, groovy.lang.Closure), org.gradle.api.tasks.SourceTask#execute(), org.gradle.api.tasks.SourceTask#setGroup(java.lang.String), org.gradle.api.tasks.SourceTask#getGroup(), org.gradle.api.tasks.SourceTask#setEnabled(boolean), org.gradle.api.tasks.SourceTask#isEnabled(), org.gradle.api.tasks.SourceTask#configure(groovy.lang.Closure), org.gradle.api.tasks.SourceTask#configure(groovy.lang.Closure), org.gradle.api.tasks.SourceTask#setProperty(java.lang.String, java.lang.Object), org.gradle.api.tasks.SourceTask#toString(), org.gradle.api.tasks.SourceTask#compareTo(org.gradle.api.Task), org.gradle.api.tasks.SourceTask#compareTo(java.lang.Object), org.gradle.api.tasks.SourceTask#getName(), org.gradle.api.tasks.SourceTask#getActions(), org.gradle.api.tasks.SourceTask#getState(), org.gradle.api.tasks.SourceTask#getState(), org.gradle.api.tasks.SourceTask#getLogger(), org.gradle.api.tasks.SourceTask#getPath(), org.gradle.api.tasks.SourceTask#getExtensions(), org.gradle.api.tasks.SourceTask#hasProperty(java.lang.String), org.gradle.api.tasks.SourceTask#getDescription(), org.gradle.api.tasks.SourceTask#property(java.lang.String), org.gradle.api.tasks.SourceTask#leftShift(groovy.lang.Closure), org.gradle.api.tasks.SourceTask#dependsOn([Ljava.lang.Object;), org.gradle.api.tasks.SourceTask#setDependsOn(java.lang.Iterable), org.gradle.api.tasks.SourceTask#getDependsOn(), org.gradle.api.tasks.SourceTask#setDescription(java.lang.String), org.gradle.api.tasks.SourceTask#getProject(), org.gradle.api.tasks.SourceTask#getAnt(), org.gradle.api.tasks.SourceTask#getConvention(), org.gradle.api.tasks.SourceTask#getLogging(), org.gradle.api.tasks.SourceTask#getLogging(), org.gradle.api.tasks.SourceTask#setActions(java.util.List), org.gradle.api.tasks.SourceTask#getTaskDependencies(), org.gradle.api.tasks.SourceTask#getTaskDependencies(), org.gradle.api.tasks.SourceTask#onlyIf(groovy.lang.Closure), org.gradle.api.tasks.SourceTask#onlyIf(org.gradle.api.specs.Spec), org.gradle.api.tasks.SourceTask#setOnlyIf(groovy.lang.Closure), org.gradle.api.tasks.SourceTask#setOnlyIf(org.gradle.api.specs.Spec), org.gradle.api.tasks.SourceTask#setDidWork(boolean), org.gradle.api.tasks.SourceTask#getDidWork(), org.gradle.api.tasks.SourceTask#doFirst(org.gradle.api.Action), org.gradle.api.tasks.SourceTask#doFirst(groovy.lang.Closure), org.gradle.api.tasks.SourceTask#doLast(org.gradle.api.Action), org.gradle.api.tasks.SourceTask#doLast(groovy.lang.Closure), org.gradle.api.tasks.SourceTask#deleteAllActions(), org.gradle.api.tasks.SourceTask#getEnabled(), org.gradle.api.tasks.SourceTask#dependsOnTaskDidWork(), org.gradle.api.tasks.SourceTask#getInputs(), org.gradle.api.tasks.SourceTask#getInputs(), org.gradle.api.tasks.SourceTask#getOutputs(), org.gradle.api.tasks.SourceTask#getOutputs(), org.gradle.api.tasks.SourceTask#getTemporaryDir(), org.gradle.api.tasks.SourceTask#mustRunAfter([Ljava.lang.Object;), org.gradle.api.tasks.SourceTask#setMustRunAfter(java.lang.Iterable), org.gradle.api.tasks.SourceTask#getMustRunAfter(), org.gradle.api.tasks.SourceTask#finalizedBy([Ljava.lang.Object;), org.gradle.api.tasks.SourceTask#setFinalizedBy(java.lang.Iterable), org.gradle.api.tasks.SourceTask#getFinalizedBy(), org.gradle.api.tasks.SourceTask#shouldRunAfter([Ljava.lang.Object;), org.gradle.api.tasks.SourceTask#setShouldRunAfter(java.lang.Iterable), org.gradle.api.tasks.SourceTask#getShouldRunAfter(), org.gradle.api.tasks.SourceTask#injectIntoNewInstance(org.gradle.api.internal.project.ProjectInternal, java.lang.String, java.lang.Class, java.util.concurrent.Callable), org.gradle.api.tasks.SourceTask#getTaskActions(), org.gradle.api.tasks.SourceTask#getActionClassLoaders(), org.gradle.api.tasks.SourceTask#getOnlyIf(), org.gradle.api.tasks.SourceTask#getImpliesSubProjects(), org.gradle.api.tasks.SourceTask#setImpliesSubProjects(boolean), org.gradle.api.tasks.SourceTask#getExecuter(), org.gradle.api.tasks.SourceTask#setExecuter(org.gradle.api.internal.tasks.TaskExecuter), org.gradle.api.tasks.SourceTask#getStandardOutputCapture(), org.gradle.api.tasks.SourceTask#getAsDynamicObject(), org.gradle.api.tasks.SourceTask#getTemporaryDirFactory(), org.gradle.api.tasks.SourceTask#addValidator(org.gradle.api.internal.tasks.execution.TaskValidator), org.gradle.api.tasks.SourceTask#getValidators(), org.gradle.api.tasks.SourceTask#prependParallelSafeAction(org.gradle.api.Action), org.gradle.api.tasks.SourceTask#appendParallelSafeAction(org.gradle.api.Action), org.gradle.api.tasks.SourceTask#isHasCustomActions(), org.gradle.api.tasks.SourceTask#wait(long, int), org.gradle.api.tasks.SourceTask#wait(long), org.gradle.api.tasks.SourceTask#wait(), org.gradle.api.tasks.SourceTask#equals(java.lang.Object), org.gradle.api.tasks.SourceTask#hashCode(), org.gradle.api.tasks.SourceTask#getClass(), org.gradle.api.tasks.SourceTask#notify(), org.gradle.api.tasks.SourceTask#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String DEFAULT_COMPATIBILITY

    - #### public static final java.lang.String PROFILE_COMMANDS

    - #### public static final java.lang.String PROFILE_NAME

  - ### Property Detail

    - #### @org.gradle.api.tasks.InputFile @org.gradle.api.tasks.Optional java.io.File config

    - #### @org.gradle.api.tasks.OutputFile java.io.File profileFile

    - #### @org.gradle.api.tasks.InputDirectory @org.gradle.api.tasks.Optional java.io.File templatesDir

  - ### Constructor Detail

    - #### ProfileCompilerTask()

  - ### Method Detail

    - #### @java.lang.Override protected void compile()

    - #### @org.gradle.api.tasks.TaskAction void execute(org.gradle.api.tasks.incremental.IncrementalTaskInputs inputs)

    - #### @java.lang.Override @org.gradle.api.tasks.InputFiles org.gradle.api.file.FileTree getSource()

    - #### @java.lang.Override void setDestinationDir(java.io.File destinationDir)